> ## Documentation Index
> Fetch the complete documentation index at: https://docs.groundforge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Group



## OpenAPI

````yaml /openapi/groundforge-openapi-v1.json put /v1/groups/{group_id}
openapi: 3.1.0
info:
  title: GroundForge REST API
  version: 86Y.5p.6v.6aq
  description: >-
    Current GroundForge SaaS administration, Agent, Channel, MCP, governance,
    observability, and LangChain integration endpoints.
servers:
  - url: https://platform.groundforge.ai
    description: GroundForge SaaS
security: []
paths:
  /v1/groups/{group_id}:
    put:
      summary: Update Group
      operationId: update_group_v1_groups__group_id__put
      parameters:
        - name: group_id
          in: path
          required: true
          schema:
            type: string
            title: Group Id
        - name: tenant_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Tenant Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateGroupRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearerAuth: []
        - apiKeyAuth: []
components:
  schemas:
    UpdateGroupRequest:
      properties:
        displayName:
          anyOf:
            - type: string
            - type: 'null'
          title: Displayname
        status:
          anyOf:
            - $ref: '#/components/schemas/GroupStatus'
            - type: 'null'
        members:
          anyOf:
            - items:
                anyOf:
                  - $ref: '#/components/schemas/GroupMemberRef'
                  - type: string
              type: array
            - type: 'null'
          title: Members
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
      type: object
      title: UpdateGroupRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GroupStatus:
      type: string
      enum:
        - active
        - disabled
        - archived
      title: GroupStatus
    GroupMemberRef:
      properties:
        kind:
          type: string
          title: Kind
          default: GroundForgeUser
        ref:
          type: string
          title: Ref
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
      type: object
      required:
        - ref
      title: GroupMemberRef
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: OIDC access token for users and CLI clients.
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Scoped service-account API key for external Agents and runtime clients.

````

## Related topics

- [Update Credential](/api-reference/endpoints/update-credential.md)
- [Get Group](/api-reference/endpoints/get-group.md)
- [Delete Group](/api-reference/endpoints/delete-group.md)
- [Create Group](/api-reference/endpoints/create-group.md)
